mixin hor-scroll-ind()
    .hor-scroll-ind-container
        .hor-scroll-ind-viewport
            .hor-scroll-ind-content
                block
        .hor-scroll-ind-left
        .hor-scroll-ind-right

mixin main-header(title, lead, headerImageUrl)
    div.relative
        div.absolute-cover.pointer-events-none.header-image(data-header-image-url=headerImageUrl)
        div.absolute-cover.pointer-events-none.header-image-overlay

        +hor-scroll-ind()
            div.d-flex
                div.m-auto
                    nav.mx-3.py-3.separator-bottom
                        ol.nav.nav-pills
                            mixin item(path, iconClass, text)
                                li.nav-item
                                    a.d-flex.align-items-baseline.nav-link(href=(fileToRootUrl + path) class=(rootToFileUrl == path ? 'active' : ''))
                                        i.fa.fa-2x.fa-fw(class=iconClass)
                                        span.sr-only &nbsp;#{text}
                            +item("", "fa-home", "Welcome")
                            +item("posts.html", "fa-comment", "Posts")
                            +item("portfolio.html", "fa-paint-brush", "Portfolio")
                            +item("collection.html", "fa-archive", "Collection")
                            +item("about.html", "fa-user", "About")
                            +item("contact.html", "fa-address-card", "Contact")

        +hor-scroll-ind()
            header
                div.container
                    div.my-5.py-5.text-center
                        h1.display-3.mb-3 #{title}
                        p.lead.mb-0 #{lead}

doctype html

html(lang="en")
    head
        block title

        meta(charset="utf-8")
        meta(name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no")

        //- bootstrap styles
        link(rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous")

        //- fontawesome styles
        link(href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css", rel="stylesheet", integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN", crossorigin="anonymous")
        
        //- custom styles
        link(rel="stylesheet" href=fileToRootUrl + "index.css")

    body.d-flex.flex-column.min-height-100vh.overflow-y-scroll

        //- navigation
        div.flex-none
            block header

        //- main
        div.flex-auto
            +hor-scroll-ind()
                main
                    div.container
                        div.py-5.text-justify
                            block content
                                p(style="color: red;") This is the "content" block.
                                pre= JSON.stringify(url, null, 2)

        //- footer
        div.flex-none
            +hor-scroll-ind()
                footer.d-flex
                    div.m-auto
                        nav.mx-3.py-3.separator-top
                            ul.nav
                                if facebook_url
                                    li.nav-item
                                        a.nav-link(href=facebook_url, target="_blank")
                                            i.fa.fa-fw.fa-2x.fa-facebook
                                if twitter_url
                                    li.nav-item
                                        a.nav-link(href=twitter_url, target="_blank")
                                            i.fa.fa-fw.fa-2x.fa-twitter
                                if linkedin_url
                                    li.nav-item
                                        a.nav-link(href=linkedin_url, target="_blank")
                                            i.fa.fa-fw.fa-2x.fa-linkedin
                                if instagram_url
                                    li.nav-item
                                        a.nav-link(href=instagram_url, target="_blank")
                                            i.fa.fa-fw.fa-2x.fa-instagram
                                if email
                                    li.nav-item
                                        a.nav-link(href=`mailto:${email}`)
                                            i.fa.fa-fw.fa-2x.fa-envelope

        //- bootstrap scripts
        script(src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous")
        script(src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous")
        script(src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous")

        //- custom scripts
        script(src=fileToRootUrl + "index.js")